Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`error`.`PotentialZombieWarning``

exception documentation

`class PotentialZombieWarning(Warning): (source)`

View In Hierarchy

Emitted when `IReactorProcess.spawnProcess` is called in a way which may result in termination of the created child process not being reported.

Deprecated in Twisted 10.0.

Constant | `MESSAGE` | Undocumented

MESSAGE: `str` = (source)

Undocumented

Value

    'spawnProcess called, but the SIGCHLD handler is not installed. This probably me↵
    ans you have not yet called reactor.run, or called reactor.run(installSignalHand↵
    ler=0). You will probably never see this process finish, and it may become a zom↵
    bie process.'